Name:		glb
Version:	0.9.2
Release:	1.2
License:	GPLv2
Group:		Applications/System
Summary:	Galera Load Balancer
Source0:	http://www.codership.com/files/glb/%{name}-%{version}.tar.bz2
Patch0:		glb-configure-0.7.4.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++

%description
glb is a simple TCP connection balancer made with scalability and performance in mind.
It was inspired by pen, but unlike pen its functionality is limited only to balancing generic TCP connections.

Features:

    * list of backend servers is configurable in runtime.
    * supports server "draining", i.e. does not allocate new connections to server, but does not kill existing ones, waiting for them to end gracefully.
    * glb is multithreaded, so it can utilize multiple CPU cores. In fact even on a single core CPU two threads may lower latencies a bit.
    * connections are distributed proportionally to weights assigned to backend servers. 
      Each new connection is routed to the server which is most free (given its weight) at the given moment. 

%package -n libglb0
Group:		System/Libraries
Summary:	GLB shared library

%description -n libglb0
This package includes the glb shared library.

%package -n libglb-devel
Group:		Development/Languages/C and C++
Summary:	Development files of glb library
Requires:	libglb0 = %{version}-%{release}

%description -n libglb-devel
This package includes development files of the glb shared library.

%prep
%setup
%patch0

%build
%configure

%__make


%install
%__make DESTDIR=%{buildroot} install
strip %{buildroot}%{_sbindir}/glbd

%clean
rm -rf %{buildroot}

%post -n libglb0
/sbin/ldconfig

%postun -n libglb0
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_sbindir}/glbd

%files -n libglb-devel
%defattr(-,root,root)
%{_libdir}/libglb.a
%{_libdir}/libglb.la
%{_libdir}/libglb.so
%{_libdir}/libglb.so.0

%files -n libglb0
%defattr(-,root,root)
%{_libdir}/libglb.so.0.0.9

%changelog
* Tue Feb 12 2013 cs@linux-administrator.com
- update to release 0.9.2
* Mon Jan 14 2013 cs@linux-administrator.com
- update to release 0.9.1
* Sat Dec 22 2012 cs@linux-administrator.com
- update to release 0.9.0
  * created subpackage for libglb0 and libglb-devel
* Thu Dec  6 2012 cs@linux-administrator.com
- update to release 0.8.2
  * hotfix to slow a connection initialization issue introduced in 0.8.1
  * adds a 'random' balancing policy
* Tue Dec  4 2012 cs@linux-administrator.com
- update to release 0.8.1
  * fixes connection loss when too many connections were attempted at once
  * significantly improves performance under certain kinds of load (like sysbench)
  * adds a max connections option
  * implements basic "source tracking" capability
  * adds a start/stop service script and is generally much more suitable to be run as a "service"
* Fri May 18 2012 cs@linux-administrator.com
- update to release 0.7.5
  * list of backend servers is configurable in runtime.
  * supports server "draining", i.e. does not allocate new connections
    to server, but does not kill existing ones, waiting for them to end gracefully.
  * on Linux 2.6 and higher glb uses epoll API for ultimate performance.
  * glb is multithreaded, so it can utilize multiple CPU cores.
    In fact even on a single core CPU using several threads can
    significantly improve performance when using poll()-based IO.
  * connections are distributed proportionally to weights assigned to backend servers.
